Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ContextTheme

    java.lang.Object
      oracle.ifs.common.ContextTheme

    public class ContextTheme

extends java.lang.Object

The `ContextTheme.java` class - used for encapsulating a Context Theme for a document, with its associated theme Weight.

A document may have up to fifty Themes. Each Theme may either be a single Theme word/phrase or a string of parent Themes, separated by colons.

The Weight of a Theme is a measure of the importance of the Theme relative to other Themes for the document.

(Published)

Field Summary
`protected java.lang.String` | `m_Theme` Theme of the document as generated by Context
`protected int` | `m_Weight` Weight of a document Theme relative to other document Themes

Constructor Summary
`ContextTheme(java.lang.String theme, int weight)`

Method Summary
`java.lang.String` | `getTheme()`
`int` | `getThemeWeight()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Theme

    protected java.lang.String m_Theme

  Description copied from class: `ContextTheme`
  Theme of the document as generated by Context

  (Unpublished)

### m_Weight

    protected int m_Weight

  Description copied from class: `ContextTheme`
  Weight of a document Theme relative to other document Themes

  (Unpublished)

Constructor Detail

### ContextTheme

    public ContextTheme(java.lang.String theme,
                        int weight)
                 throws IfsException

Throws:
  `IfsException`
(Unpublished)

Method Detail

### getTheme

    public java.lang.String getTheme()
                              throws IfsException

  Throws:
    `IfsException`
  (Published)

### getThemeWeight

    public int getThemeWeight()
                       throws IfsException

  Throws:
    `IfsException`
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD